%define major 0.5
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		yaml-cpp
Version:	0.5.1
Release:	3
Summary:	A YAML parser and emitter for C++
Group:		Development/C++
License:	MIT
Url:		http://code.google.com/p/yaml-cpp/
Source0:	http://yaml-cpp.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	boost-devel

%description
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A YAML parser and emitter for C++
Group:		System/Libraries
Obsoletes:	%{name} < %{version}

%description -n %{libname}
yaml-cpp is a YAML parser and emitter in C++ written around the YAML 1.2 spec.

%files -n %{libname}
%{_libdir}/*.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	boost-devel
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{name}-devel < 0.5

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%{_includedir}/yaml-cpp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
# Fix eol
sed -i 's/\r//' license.txt

%build
# ask cmake to not strip binaries
%cmake -DYAML_CPP_BUILD_TOOLS=0
%make VERBOSE=1

%install
%makeinstall_std -C build


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.5.1-3
+ Revision: 7ef43db
- MassBuild#440: Increase release tag


